GET api/NTCommonOrder/GetOrderLog?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfOrderLogDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of OrderLogDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"OrderId": 2,
"OrderCategoryId": 3,
"Step": 4.1,
"CloseByDate": "2026-06-20T12:48:25.538061-07:00",
"ClosedUserName": "sample string 5",
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:48:25.538061-07:00",
"DateUpdated": "2026-06-20T12:48:25.538061-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
},
{
"Id": 1,
"OrderId": 2,
"OrderCategoryId": 3,
"Step": 4.1,
"CloseByDate": "2026-06-20T12:48:25.538061-07:00",
"ClosedUserName": "sample string 5",
"Status": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:48:25.538061-07:00",
"DateUpdated": "2026-06-20T12:48:25.538061-07:00",
"UserIDCreated": 9,
"UserIDUpdated": 10,
"CompanyCode": "sample string 11",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}